S3 List Parts
  • 01 Sep 2023
  • Dark
    Light

S3 List Parts

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?uploadId=

Lists parts that have been uploaded for a given multipart upload.

By default, sets of up to 1,000 results are returned. You can set max-parts to set the maximum result set size to less than 1,000. If the search results number more than the maximum result set size, then the first set is returned in the initial response, the response element contains the value true and the element contains a token to retrieve the next set of results. Use this token as the part-number-marker query parameter in another request to retrieve the next set of results.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

max-parts

Optional. The maximum number of parts that should be returned. 


part-number-markerOptional. B2 will start listing after this part number.
uploadIdRequired. An Upload ID obtained from S3 Create Multipart Upload

PATH VARIABLES

bucket

Required. The name of the bucket

keyRequired. Application key.

Example Request

curl --location 'https://s3.<region>.backblazeb2.com/:bucket/:key?uploadId='

Example Response

200 NO CONTENT

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ListPartsResult>
    <Bucket>metadaddy-test</Bucket>
    <Key>multi123</Key>
    <UploadId>4_z0145cfc9e3f5ec0f74ed0c1b_f22652c66b7873274_d20230831_m185108_c004_v0402018_t0044_u01693507868189</UploadId>
    <PartNumberMarker>0</PartNumberMarker>
    <NextPartNumberMarker>1</NextPartNumberMarker>
    <MaxParts>1000</MaxParts>
    <IsTruncated>false</IsTruncated>
    <Part>
        <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
        <LastModified>2023-08-31T18:54:55.693Z</LastModified>
        <PartNumber>1</PartNumber>
        <Size>11</Size>
    </Part>
    <Initiator>
        <ID>15f935cf4dcb</ID>
        <DisplayName></DisplayName>
    </Initiator>
    <Owner>
        <ID>15f935cf4dcb</ID>
        <DisplayName></DisplayName>
    </Owner>
    <StorageClass>STANDARD</StorageClass>
</ListPartsResult>


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

874

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?